function sTypeToName(lCardType::Int32)
    lCardSeries = lCardType & TYP_SERIESMASK
    lCardVersion = string(lCardType & TYP_VERSIONMASK, base=16)
    if lCardSeries == TYP_M2ISERIES
        return string("M2i.", lCardVersion)
    elseif lCardSeries == TYP_M2IEXPSERIES
        return string("M2i.", lCardVersion, "-Exp")
    elseif lCardSeries == TYP_M3ISERIES
        return string("M3i.", lCardVersion)
    elseif lCardSeries == TYP_M3IEXPSERIES
        return string("M3i.", lCardVersion, "-Exp")
    elseif lCardSeries == TYP_M4IEXPSERIES
        return string("M4i.", lCardVersion, "-x8")
    elseif lCardSeries == TYP_M4XEXPSERIES
        return string("M4x.", lCardVersion, "-x4")
    elseif lCardSeries == TYP_M2PEXPSERIES
        return string("M2p.", lCardVersion, "-x4")
    elseif lCardSeries == TYP_M5IEXPSERIES
        return string("M5i.", lCardVersion, "-x16")
    else
        return "Unknown Type"
    end
end
